%define debug_package %{nil}

Name:		vault
Version:	0.9.0
Release:	1qg
Summary:	A tool for managing secrets
Group:		Applications/Internet
License:	Mozilla Public License 2.0
URL:		https://www.vaultproject.io/
%ifarch x86_64 amd64
Source0:        https://releases.hashicorp.com/%{name}/%{version}/%{name}_%{version}_linux_amd64.zip
%else
Source0:        https://releases.hashicorp.com/%{name}/%{version}/%{name}_%{version}_linux_386.zip
%endif
Source1:        %{name}.hcl
Source2:        %{name}.service
Source3:        %{name}.sysconfig
BuildRoot:	     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Vault is a tool for securely accessing secrets. A secret is anything that you want
to tightly control access to, such as API keys, passwords, certificates, and more.
Vault provides a unified interface to any secret, while providing tight access
control and recording a detailed audit log.

%prep
%setup -c
%build
%install
%{__install} -d -m 0755 %{buildroot}%{_sbindir} \
                        %{buildroot}%{_sysconfdir}/%{name} \
                        %{buildroot}/usr/lib/systemd/system/ \
                        %{buildroot}%{_sysconfdir}/sysconfig
         
%{__install} -m 0755 %{name} %{buildroot}%{_sbindir}
%{__install} -m 0600 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/%{name}.hcl
%{__install} -m 0755 %{SOURCE2} %{buildroot}/usr/lib/systemd/system/vault.service
%{__install} -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.hcl
/usr/lib/systemd/system/vault.service
%{_sysconfdir}/sysconfig/%{name}

%changelog
* Tue Dec 05 2017 Iaroslav Andrusyak <pontostroy@quintagroup.org> - 0.9.0-1
- update fo quintagroup build.

* Mon May 02 2016 Taylor Kimball <taylor@linuxhq.org> - 0.5.2-1
- Initial build.
 
